#
# Gnuplot input file to create figures
#
# this is written for gnuplot version 4.4
#
# Ken-Ichi Ishikawa
#
# ($Id: figs.plt,v 1.1 2011/03/05 09:42:44 ishikawa Exp $)
#

set term postscript enhanced eps color 23

set title "1D Helmholz equation CG solver (MPI ver.), residual history"
set key top

set xlabel "CG iteration count"
set ylabel "|b-Ax|" offset 1,0

set  xtics 0,10,100
set mxtics 10

set logscale y
set  ytics 1e-16,10,100
set mytics 10
set format y "10^{%L}"

set output "Fig_ResHistory_MPI1DHLMHZ.eps"
plot [:60][1e-14:] "MPI_RESULT.dat" index 0 using 1:2 notitle w lp

set title "1D Helmholz equation CG solver (MPI vs single), solution vector"
set xlabel "x"
set ylabel "{/Symbol f}(x)" offset 0,0

set output "Fig_Solution_MPI1DHLMHZ.eps"
plot [:101][1e-7:] "MPI_RESULT.dat" index 1 using 1:2 title    "MPI ver."  w lp,\
                       "RESULT.dat" index 1 using 1:2 title "single ver."  w lp
